import mysql.simplesql as sql

tables = ['organization']


def insertOrganization(organization):
    yield sql.Insert(table='organization', values={
        'organizationcode': organization.get('organizationcode', None),
        'name': organization.get('name', None),
        'registeredaddress': organization.get('registeredaddress', None),
        'correspondenceaddress': organization.get('correspondenceaddress', None),
        'ogrn': organization.get('ogrn', None),
        'inn': organization.get('inn', None),
        'kpp': organization.get('kpp', None),
        'okpo': organization.get('okpo', None),
        'operatingaccount': organization.get('operatingaccount', None),
        'bank': organization.get('bank', None),
        'correspondingaccount': organization.get('correspondingaccount', None),
        'bik': organization.get('bik', None),
        'receiver': organization.get('receiver', None),
        'customer': organization.get('customer', None),
        'payer': organization.get('payer', None),
        'deliveryaddress': organization.get('deliveryaddress', None)
    })


def deleteOrganization(organization):
    for i in deleteOrganizationByCode(organization.get('organizationcode', None)):
        yield i


def deleteOrganizationByCode(code):
    yield sql.Delete(table='organization', whereFields=['organizationcode'], whereValues=[code])


def clearOrganization():
    yield sql.DeleteAll(table='organization')
